Instance Follows
Managing servers which the instance interacts with is crucial to the concept of federation in PeerTube and external video indexation. The PeerTube server then deals with inter-server ActivityPub operations and propagates information across its social graph by posting activities to actors' inbox endpoints.
https://docs.joinpeertube.org/admin/following-instances#instances-follows
List instances following the server
Parameters
statestringpendingacceptedqueryactorTypestringPersonApplicationGroupServiceOrganizationquerystartinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
Response
successful operation
Remove or reject a follower to your server
Parameters
handlestring<email>requiredpathThe remote actor handle to remove from your followers
Response
successful operation
follower not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Reject a pending follower to your server
Parameters
handlestring<email>requiredpathThe remote actor handle to remove from your followers
Response
successful operation
follower not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Accept a pending follower to your server
Parameters
handlestring<email>requiredpathThe remote actor handle to remove from your followers
Response
successful operation
follower not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
List instances followed by the server
Parameters
statestringpendingacceptedqueryactorTypestringPersonApplicationGroupServiceOrganizationquerystartinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
Response
successful operation
Follow a list of actors (PeerTube instance, channel or account)
Body
hostsArray<string>handlesArray<string>Response
successful operation
cannot follow a non-HTTPS server
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Unfollow an actor (PeerTube instance, channel or account)
Parameters
hostOrHandlestringrequiredpathThe hostOrHandle to unfollow
Response
successful operation
host or handle not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
